curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/items/{Id} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/items/{Id}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/items/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"productGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"manufacturerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"identifiers": {
"sku": "<string>",
"amazonFnsku": "<string>",
"gtin": "<string>",
"manufacturerNumber": "<string>",
"isbn": "<string>",
"tariccode": "<string>",
"upc": "<string>",
"unNumber": "<string>",
"hazardNumber": "<string>",
"ownIdentifier": "<string>",
"defaultAsin": "<string>",
"jfsku": "<string>"
},
"categories": {
"categories": [
{
"categoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
},
"descriptions": {
"defaultDescriptions": [
{
"languageIso": "<string>",
"descriptionData": {
"itemName": "<string>",
"shortDescription": "<string>",
"description": "<string>",
"metaDescription": "<string>",
"metaKeywords": "<string>",
"titleTag": "<string>",
"urlPath": "<string>"
}
}
],
"salesChannelDescriptions": [
{
"salesChannelId": "<string>",
"languageIso": "<string>",
"descriptionData": {
"itemName": "<string>",
"shortDescription": "<string>",
"description": "<string>",
"metaDescription": "<string>",
"metaKeywords": "<string>",
"titleTag": "<string>",
"urlPath": "<string>"
}
}
],
"platformDescriptions": [
{
"platformId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"languageIso": "<string>",
"descriptionData": {
"itemName": "<string>",
"shortDescription": "<string>",
"description": "<string>",
"metaDescription": "<string>",
"metaKeywords": "<string>",
"titleTag": "<string>",
"urlPath": "<string>"
}
}
]
},
"prices": {
"ignoreDiscounts": true,
"salesPriceNet": 123,
"suggestedRetailPrice": 123,
"purchasePriceNet": 123,
"ebayPrice": 123,
"amazonPrice": 123,
"salesChannelPrices": [
{
"saleschannelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerGroupPrices": [
{
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"prices": [
{
"fromQuantity": 123,
"netPrice": 123,
"reduceStandardPriceByPercent": 123
}
]
}
],
"isActive": true
}
],
"customerPrices": [
{
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"prices": [
{
"fromQuantity": 123,
"netPrice": 123,
"reduceStandardPriceByPercent": 123
}
]
}
],
"defaultPrices": [
{
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"prices": [
{
"fromQuantity": 123,
"netPrice": 123,
"reduceStandardPriceByPercent": 123
}
]
}
]
},
"images": {
"defaultImages": [
{
"blobIdentifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"previewUrl": "<string>",
"sortNumber": 123,
"isMainImage": true,
"filename": "<string>",
"platformId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"modificationDate": "2023-11-07T05:31:56Z",
"width": 123,
"height": 123,
"fileSizeKilobytes": 123
}
],
"platformImages": [
{
"platformId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"images": [
{
"blobIdentifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"previewUrl": "<string>",
"sortNumber": 123,
"isMainImage": true,
"filename": "<string>",
"platformId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"modificationDate": "2023-11-07T05:31:56Z",
"width": 123,
"height": 123,
"fileSizeKilobytes": 123
}
]
}
],
"saleschannelImages": [
{
"saleschannelId": "<string>",
"images": [
{
"blobIdentifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"previewUrl": "<string>",
"sortNumber": 123,
"isMainImage": true,
"filename": "<string>",
"platformId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"modificationDate": "2023-11-07T05:31:56Z",
"width": 123,
"height": 123,
"fileSizeKilobytes": 123
}
]
}
],
"ebayImages": [
{
"ebayAccountId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"images": [
{
"blobIdentifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"previewUrl": "<string>",
"sortNumber": 123,
"isMainImage": true,
"filename": "<string>",
"platformId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"modificationDate": "2023-11-07T05:31:56Z",
"width": 123,
"height": 123,
"fileSizeKilobytes": 123
}
]
}
]
},
"measurements": {
"height": 123,
"length": 123,
"shippingWeight": 123,
"weight": 123,
"width": 123
},
"customFields": {
"fieldValues": [
{
"fieldId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"value": "<string>",
"valueCultureName": "<string>"
}
]
},
"suppliers": {
"defaultSupplier": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"defaultDropshippingSupplier": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"suppliers": [
{
"supplierId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"supplierItemName": "<string>",
"supplierItemNumber": "<string>",
"stockLevel": 123,
"netPurchasePrice": 123,
"minimumPurchaseQuantity": 123,
"deliveryTimeInDays": 123,
"isDropshippingActive": true,
"packageUnitDescription": "<string>",
"packageUnitQuantity": 123,
"notes": "<string>",
"vatRate": 123,
"useSupplierDeliveryTime": true,
"includeSupplierStock": true,
"purchaseInterval": 123,
"scalePrices": [
{
"fromQuantity": 123,
"netPrice": 123,
"usePercentageDiscount": true,
"percentageDiscount": 123
}
]
}
]
},
"includeInPriceList": true,
"ignoreOrderSuggestions": true,
"ignoreDiscounts": true,
"countryOfOrigin": "<string>",
"notes": "<string>",
"modifiedTimestamp": "2023-11-07T05:31:56Z",
"variations": {
"variations": [
{
"variationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"position": 123,
"descriptions": [
{
"languageIso": "<string>",
"name": "<string>"
}
],
"values": [
{
"variationValueId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemNumber": "<string>",
"gTIN": "<string>",
"weightOffset": 123,
"descriptions": [
{
"languageIso": "<string>",
"name": "<string>"
}
],
"surcharges": {
"defaultSurchargeNet": 123,
"customerGroupSurcharges": [
{
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"surcharge": 123,
"isActive": true
}
],
"salesChannelSurcharges": [
{
"salesChannelId": "<string>",
"surcharges": [
{
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"surcharge": 123,
"isActive": true
}
]
}
]
},
"position": 123,
"image": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
]
},
"features": {
"features": [
{
"featureId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
},
"attributes": {
"values": [
{
"attributeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"defaultValues": [
{
"languageIso": "<string>",
"value": "<string>"
}
],
"salesChannelValues": [
{
"salesChannelId": "<string>",
"values": [
{
"languageIso": "<string>",
"value": "<string>"
}
]
}
]
}
]
},
"unitPricing": {
"salesUnitId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"packagingUnitId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"innerQuantity": 123,
"innerQuantityUnitId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"isBasePriceDeclared": true,
"basePriceReferenceUnitId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"basePriceReferenceAmount": 123
},
"specialPrices": {
"isActive": true,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"isEndDateActive": true,
"minimumStockQuantity": 123,
"isStockRestrictionActive": true,
"salesChannelSpecialPrices": [
{
"salesChannelId": "<string>",
"specialPrices": [
{
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"netPrice": 123,
"isActive": true
}
]
}
]
},
"storageConstraints": {
"allowNegativeStock": true,
"itemPlatformNegativeStocks": [
{
"platformId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"isNegativeStockAllowed": true
}
],
"itemSalesChannelNegativeStocks": [
{
"salesChannelId": "<string>",
"isNegativeStockAllowed": true
}
],
"buffer": 123,
"globalMinimumStockLevel": 123,
"hasBatch": true,
"isInventoryManagementActive": true,
"isBestBeforeManaged": true,
"isStockDivisible": true
},
"salesChannels": {
"salesChannels": [
{
"salesChannelId": "<string>",
"name": "<string>",
"isActive": true
}
]
},
"crosssellingGroups": {
"groups": [
{
"crosssellingGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"items": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sku": "<string>"
}
]
}
]
}
}Retrieves a single article by its ID including all sub-elements
Retrieves a single article by its ID including all sub-elements
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
Complete item details including all sub-elements
Item id
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the product group to which the item should be assigned. Product groups serve for categorical classification of items for reports and analyses.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the shipping class to which the item should be assigned.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the manufacturer to which the item should be assigned.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Various identifiers of the item for unique identification (SKU, GTIN, ISBN, etc.)
Show child attributes
Show child attributes
Categories to which the item is assigned
Show child attributes
Show child attributes
List of item descriptions in different languages
Show child attributes
Show child attributes
Price structures of the item for different sales channels, customer groups and individual customers. Includes sales prices, purchase prices and tier prices.
Show child attributes
Show child attributes
Images associated with the item
Show child attributes
Show child attributes
Physical dimensions and weight specifications of the item for storage, shipping and product presentation. Important for shipping cost calculations and storage space optimization.
Show child attributes
Show child attributes
Custom fields defined for the item to store additional information. Useful for special requirements or integrations.
Show child attributes
Show child attributes
Suppliers associated with the item including supplier-specific information such as purchase prices, delivery times and order intervals.
Show child attributes
Show child attributes
Indicates whether the item can be included in exported price lists. From Tab 'Sonstiges'.
Indicates whether order suggestions should be ignored for this item. If true, the item will not appear in automatic order suggestions. From Tab 'Sonstiges'.
Indicates whether the item is not eligible for discounts (Rabatte ignorieren / Nicht Rabattfähig). From Tab 'Sonstiges'.
Country of origin (Herkunftsland) - ISO code or country name. Max length 64. From Tab 'Sonstiges'.
Additional notes (Anmerkung) for the item - unlimited length. From Tab 'Sonstiges'.
Last modification timestamp (date and time) of the item.
Variations of an item
Show child attributes
Show child attributes
Features of an item
Show child attributes
Show child attributes
Attributes of an item
Show child attributes
Show child attributes
UnitPricing information of an item
Show child attributes
Show child attributes
SpecialPrices information of an item
Show child attributes
Show child attributes
ItemStorageConstraints information of an item
Show child attributes
Show child attributes
Per-channel activation status of the item across the active sales channels.
Show child attributes
Show child attributes
CrosssellingGroups of an item
Show child attributes
Show child attributes
Was this page helpful?